Orxonox: orxonox::BlinkingBillboard Class Reference

# orxonox::BlinkingBillboard Class Reference

`#include <src/orxonox/objects/worldentities/BlinkingBillboard.h>`

Inheritance diagram for orxonox::BlinkingBillboard:

List of all members.

## Public Member Functions

| BlinkingBillboard (BaseObject *creator)
float | getAmplitude () const
float | getFrequency () const
const Degree & | getPhase () const
bool | isQuadratic () const
void | registerVariables ()
void | setAmplitude (float amplitude)
void | setFrequency (float frequency)
void | setPhase (const Degree &phase)
void | setQuadratic (bool bQuadratic)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~BlinkingBillboard ()

## Private Attributes

float | amplitude_
bool | bQuadratic_
float | frequency_
Degree | phase_
long double | time_

## Constructor & Destructor Documentation

orxonox::BlinkingBillboard::BlinkingBillboard | ( | BaseObject * | creator | ) |

References amplitude_, bQuadratic_, frequency_, phase_, RegisterObject, registerVariables(), and time_.

orxonox::BlinkingBillboard::~BlinkingBillboard | ( |  | ) | `[virtual]`

## Member Function Documentation

float orxonox::BlinkingBillboard::getAmplitude | ( |  | ) | const`[inline]`

Referenced by XMLPort().

float orxonox::BlinkingBillboard::getFrequency | ( |  | ) | const`[inline]`

Referenced by XMLPort().

const Degree& orxonox::BlinkingBillboard::getPhase | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::BlinkingBillboard::isQuadratic | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::BlinkingBillboard::registerVariables | ( |  | ) |

Reimplemented from orxonox::Billboard.

Referenced by BlinkingBillboard().

void orxonox::BlinkingBillboard::setAmplitude | ( | float | amplitude | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BlinkingBillboard::setFrequency | ( | float | frequency | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BlinkingBillboard::setPhase | ( | const Degree & | phase | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BlinkingBillboard::setQuadratic | ( | bool | bQuadratic | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BlinkingBillboard::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References amplitude_, bQuadratic_, frequency_, orxonox::BaseObject::isActive(), orxonox::GameMode::isMaster(), phase_, orxonox::WorldEntity::setScale(), orxonox::square(), SUPER, and time_.

void orxonox::BlinkingBillboard::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::Billboard.

References orxonox::MT_Type::Degree, getAmplitude(), getFrequency(), getPhase(), isQuadratic(), setAmplitude(), setFrequency(), setPhase(), setQuadratic(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::BlinkingBillboard::amplitude_`[private]`

Referenced by BlinkingBillboard(), and tick().

bool orxonox::BlinkingBillboard::bQuadratic_`[private]`

Referenced by BlinkingBillboard(), and tick().

float orxonox::BlinkingBillboard::frequency_`[private]`

Referenced by BlinkingBillboard(), and tick().

Degree orxonox::BlinkingBillboard::phase_`[private]`

Referenced by BlinkingBillboard(), and tick().

long double orxonox::BlinkingBillboard::time_`[private]`

Referenced by BlinkingBillboard(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/BlinkingBillboard.h
- src/orxonox/objects/worldentities/BlinkingBillboard.cc